#!/usr/bin/env python3
"""
project: GarageCalc1
file: utils.py
summary: helper functions
"""

# Standard library imports
import sys
import os

# Third party imports
from PySide2.QtWidgets import QMessageBox, QApplication, QMainWindow, QTableWidgetItem, QStatusBar, QAction
from PySide2 import QtCore
from PySide2.QtGui import QIcon, QPixmap
from PySide2.QtCore import QFile, QSize
from PySide2.QtUiTools import QUiLoader

# local globals
APP_ICON = "icons8-garage-32.png"

def show_about():
    msg = QMessageBox()
    msg.setIconPixmap(QPixmap(APP_ICON))

    text = "<p align='center'><h1>" + qApp.applicationDisplayName() + " " + \
        "<br>" + qApp.applicationVersion() + "</h1>" + \
        "<br>" + qApp.applicationName() + "<br>" + \
        "<br>" + qApp.description + "<br>" + \
        "<br>" + "Idee von: Balazs Fabian" + "<br>" + \
        "<br>" + qApp.copyright + "<br>" \
        "<br> <a href='" + qApp.website + "'>" + qApp.website + "</a></p>"

    text = text + "<p align='center'>Used icons: Theme 'Cute Color' from <a href='https://icons8.com/'>Icons8</a></p>"
    text = text + "<p align='center'>Python version: " + f"{sys.version_info.major}.{sys.version_info.minor}.{sys.version_info.micro} {sys.version_info.releaselevel}"
    text = text + "<br>" + f"{sys.executable}" + "<br>"
    text = text + "<br>Qt version: " + f"{QtCore.__version__}"

    msg.setText(text)
    msg.setWindowTitle("About")
    msg.setStandardButtons(QMessageBox.Ok)

    msg.exec_()
